VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CDrawContext::Transform Struct Reference

Add a transform to all draw routines. More...

`#include <cdrawcontext.h>`

## Public Member Functions
| Transform (CDrawContext &context, const CGraphicsTransform &transformation)
| ~Transform () noexcept

## Detailed Description

Add a transform to all draw routines.

Must be used as stack object.

## Constructor & Destructor Documentation

## ◆ Transform()

Transform | ( | CDrawContext & | context,
|  | const CGraphicsTransform & | transformation )

## ◆ ~Transform()

~Transform | ( |  | ) |
| noexcept

The documentation for this struct was generated from the following files:

- cdrawcontext.h
- cdrawcontext.cpp